/*
 * $Id: Tools.cs 168 2007-04-13 10:29:55Z lloydd $
 */
 
using System;
using NDesk.DBus;

namespace org.wimo
{
   public class Tools
   {
      public static bool DBusInit ()
      {
         try {
            BusG.Init ();
         } catch (Exception e) {
            Console.Error.WriteLine (
               "DBus is not available.\n" +
               "Your environment is not properly set up to use DBus.\n" +
               "Please fix your environment or run {0} through dbus-launch.\n" +
               "Failure to do so may cause problems at a later time during this instance. {0}",
               e.Message);
            
            return false;
         }
         
         return true;
      }
   }
}
